use ExtUtils::MakeMaker;
use 5.004;

my @utils = qw(get-rd-token get-rd-week update-rd-tokens rhrd-user rhrd-group rhrd-pool rhrd-schedules rhrd-show rhrd-sanity-check);

WriteMakefile(
  NAME       => 'RHRD',
  VERSION_FROM => 'lib/RHRD.pm',
  LICENSE => 'gpl_3',
  AUTHOR    => 'Christian Pointner <equinox@helsinki.at>',
  ABSTRACT  => 'Radio Helsinki Rivendell libraries and utils',
  PREREQ_PM => {
    "Config::IniFiles" => 0,
    "DBI" => 0,
    "POSIX" => 0,
    "DateTime" => 0,
    "DateTime::TimeZone" => 0,
    "DateTime::Format::Strptime" => 0,
    "Date::Calc" => 0,
    "JSON::MaybeXS" => 0,
    "URI" => 0,
    "URI::Fetch" => 0,
    "LWP" => 0
  },
  EXE_FILES => [ map { "utils/$_" } @utils ],
);
